Bug 1564284 (CVE-2018-9146) - CVE-2018-9146 exiv2: out-of-bounds read in Exiv2::IptcData::printStructure in image.cpp
Summary: CVE-2018-9146 exiv2: out-of-bounds read in Exiv2::IptcData::printStructure in...
Keywords:
Status: CLOSED DUPLICATE of bug 1545237
Alias: CVE-2018-9146
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1564279 1564285
Blocks: 1564287
TreeView+ depends on / blocked
 
Reported: 2018-04-05 22:05 UTC by Laura Pardo
Modified: 2021-02-17 00:32 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-23 07:32:02 UTC


Attachments (Terms of Use)

Description Laura Pardo 2018-04-05 22:05:10 UTC
A flaw was found in Exiv2 0.26, there is an out-of-bounds read in Exiv2::IptcData::printStructure in image.cpp, a different vulnerability than CVE-2017-17724. It could result in denial of service or information disclosure.


References:
https://bugzilla.novell.com/show_bug.cgi?id=108789
https://github.com/Exiv2/exiv2/issues/254
https://github.com/xiaoqx/pocs/tree/master/exiv2

Comment 1 Laura Pardo 2018-04-05 22:07:04 UTC
Created exiv2 tracking bugs for this issue:

Affects: fedora-all [bug 1564279]

Comment 3 Riccardo Schirone 2018-04-23 07:32:02 UTC
This CVE has been rejected by MITRE as a dup of CVE-2017-17724 (http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-9146)

*** This bug has been marked as a duplicate of bug 1545237 ***

Comment 4 Doran Moppert 2020-02-10 04:33:09 UTC
Statement:

This flaw was found to be a duplicate of CVE-2017-17724. Please see https://access.redhat.com/security/cve/CVE-2017-17724 for information about affected products and security errata.


Note You need to log in before you can comment on or make changes to this bug.